<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:28 CEST 2014 -->
<title>Handshakedata</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Handshakedata";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Handshakedata.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/handshake/HandshakeBuilder.html" title="interface in org.java_websocket.handshake"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/java_websocket/handshake/HandshakedataImpl1.html" title="class in org.java_websocket.handshake"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/handshake/Handshakedata.html" target="_top">Frames</a></li>
<li><a href="Handshakedata.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket.handshake</div>
<h2 title="Interface Handshakedata" class="title">Interface Handshakedata</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>, <a href="../../../org/java_websocket/handshake/ClientHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ClientHandshakeBuilder</a>, <a href="../../../org/java_websocket/handshake/HandshakeBuilder.html" title="interface in org.java_websocket.handshake">HandshakeBuilder</a>, <a href="../../../org/java_websocket/handshake/ServerHandshake.html" title="interface in org.java_websocket.handshake">ServerHandshake</a>, <a href="../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/java_websocket/handshake/HandshakedataImpl1.html" title="class in org.java_websocket.handshake">HandshakedataImpl1</a>, <a href="../../../org/java_websocket/handshake/HandshakeImpl1Client.html" title="class in org.java_websocket.handshake">HandshakeImpl1Client</a>, <a href="../../../org/java_websocket/handshake/HandshakeImpl1Server.html" title="class in org.java_websocket.handshake">HandshakeImpl1Server</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">Handshakedata</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/handshake/Handshakedata.html#getContent()">getContent</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/handshake/Handshakedata.html#getFieldValue(java.lang.String)">getFieldValue</a></strong>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/handshake/Handshakedata.html#hasFieldValue(java.lang.String)">hasFieldValue</a></strong>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Iterator&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/handshake/Handshakedata.html#iterateHttpFields()">iterateHttpFields</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="iterateHttpFields()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iterateHttpFields</h4>
<pre>java.util.Iterator&lt;java.lang.String&gt;&nbsp;iterateHttpFields()</pre>
</li>
</ul>
<a name="getFieldValue(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldValue</h4>
<pre>java.lang.String&nbsp;getFieldValue(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="hasFieldValue(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasFieldValue</h4>
<pre>boolean&nbsp;hasFieldValue(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="getContent()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getContent</h4>
<pre>byte[]&nbsp;getContent()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Handshakedata.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/handshake/HandshakeBuilder.html" title="interface in org.java_websocket.handshake"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/java_websocket/handshake/HandshakedataImpl1.html" title="class in org.java_websocket.handshake"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/handshake/Handshakedata.html" target="_top">Frames</a></li>
<li><a href="Handshakedata.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
